POST
/batch/extract
複数ページのバッチ抽出

AIを使用して複数のURLから構造化データを同時に抽出します。

ユースケース:

  • 複数ページから商品カタログをスクレイピング
  • 検索結果ページからデータを抽出
  • リスティングやディレクトリページのバッチ処理
  • 大規模な競合情報の収集

動作の仕組み:

  1. 単一のスキーマで最大50件のURLを送信
  2. 即座にジョブIDレスポンスを取得
  3. すべてのURLが同じスキーマを使用して抽出
  4. ステータスをポーリングするか、Webhook通知を受信
  5. すべての構造化結果を一度に取得

機能:

  • すべてのURLに同じスキーマを適用
  • 高速化のための並列処理
  • URLごとの個別エラー処理
  • Webhook通知が利用可能

認証

YOUR_API_KEY
認証Bearer <token>

Thunderbit Dashboard から API キーを取得してください。ヘッダー形式:Authorization: Bearer YOUR_API_KEY

位置: header

ボディ

application/json

TypeScript Definitions

Use the request body type in TypeScript.

urls*string[]必須

データを抽出するURLのリスト、最大50件

例:
[
  "https://example.com/product/1",
  "https://example.com/product/2",
  "https://example.com/product/3"
]
schema*object必須

JSONスキーマ形式のデータ構造定義

例:
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "price": {
      "type": "number"
    },
    "rating": {
      "type": "number"
    }
  }
}
timeoutnumberデフォルト:60000

リクエストごとのタイムアウト(ミリ秒)、デフォルト30000

webhookobject

Webhookコールバック設定、タスク完了時に通知。コールバックペイロードの形式、ヘッダー、HMAC-SHA256 署名検証については Webhooks ガイドを参照してください。

子属性を表示
urlstring

Webhook callback URL, must be HTTPS

secretstring

HMAC-SHA256 secret for signature verification. When set, each webhook request includes an X-Webhook-Signature header

例:whsec_your_secret_key
headersobject

Custom headers (reserved for future use, not yet implemented by the server).

例:
{
  "X-Custom-Auth": "your-token"
}
renderModestringデフォルト:"none"

JavaScript rendering mode applied to every URL: none (default, fastest), basic, or full.

"none" | "basic" | "full"

レスポンス

application/json

Success response

successboolean
例:
true
dataobject
子属性を表示
idstring
例:batch_ext_xyz789
statusstring
"PENDING" | "PROCESSING" | "COMPLETED" | "FAILED" | "CANCELLED" | "UNKNOWN"
例:PROCESSING
totalinteger
例:
3
completedinteger
例:
0
creditsUsedinteger
例:
0
createdAtstring

Timestamp when the job was created

completedAtstring

Timestamp when the job completed (null if still processing)